<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="utf-8">
	<title>Document</title>

	<!-- Bootstrap CSS -->
	<link
		rel="stylesheet"
		href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css"
		integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn"
		crossorigin="anonymous"
	/>

	<script>
		var filas = document
			.getElementsByTagName("table")[0]
			.getElementsByTagName("tr");
		var i = filas.length;
		// var unchecked = [];
		
		while (i--) {
			var box = filas[i].getElementsByTagName("input")[0];
			if (/*box!=undefined &&*/ box.checked) {
				alert(`borro el elemento con id: {box.id}`);
				filas[i].parentNode.removeChild(filas[i]);
			
			} else {
				// if (box != undefined) { unchecked.push(box.id); }
				unchecked.push(box.id);
			}
		}
	</script>
</head>
<body>
	<div class="container">
		<div class="row">
			<table class="table table-dark">
				<tr>
					<th>First name</th>
					<th>Last Name</th>
					<th>Borrar</th>
				</tr>
				<tr>
					<td>John</td>
					<td>Doe</td>
					<td><label><input id="primero" type="checkbox"></label></td>
				</tr>
				<tr>
					<td>Jane</td>
					<td>Doe</td>
					<td><label><input id="segundo" type="checkbox"></label></td>
				</tr>
				<tr>
					<td>Peter</td>
					<td>Doe</td>
					<td><label><input id="tercero" type="checkbox"></label></td>
				</tr>
				<tr>
					<td>Susan</td>
					<td>Doe</td>
					<td><label><input id="cuarto" type="checkbox"></label></td>
				</tr>
			</table>
		</div>
	</div>
	
</body>
</html>